local Apollo = require "Apollo"
local tAddon = Apollo.GetAddon("MischhBossModules")
local Encounter = tAddon.Encounter


Encounter.new("ENCOUNTER_KEY", {
  instance = "INSTANCE",
  groupName = "GROUP",
  displayName = "BOSS",
  tTrigger = {
    sType = "ANY",
    tNames = {"unit.boss"},
    tZones = {
      [1] = {
        continentId = 000,
        parentZoneId = 000,
        mapId = 000,
      },
    },
  },
},{
  ["enUS"] = {
    ["unit.boss"] = "???",
  },
  ["deDE"] = {
    ["unit.boss"] = "???",
  },
  ["frFR"] = {},
}, function(tConfig) --luacheck: no unused args
  -- luacheck: no global
  Boss{
    label = "unit.boss",
    unit{},
  }

  Test{text{font="Pixel"}}
end, function(_arg, _env, _var) --luacheck: no unused args
  -- luacheck: no global

  UnitCreated{ strUnitName = "unit.boss", bInCombat = true, [_arg.self:HasUnit("Boss")] = false,
    Unit("Boss", _arg.tUnit),
  }




  UnitCreated{Text("Test", _arg.tUnit, _arg.strUnitName) % (_arg.nUnitId) + {font="CRB_Pixel"}}
  CastStart{_env.print}
end)